Name: clisp
Version: 2.31
Release: alt1
Serial: 1

Summary: Common Lisp (ANSI CL) implementation
Icon: clisp.gif
License: GPL
Group: Development/Lisp
URL: http://clisp.cons.org/
Packager: Vadim V. Zhytnikov <vvzhy@altlinux.ru>

Source: clisp-2.31.tar.bz2

Provides: ansi-cl

BuildRequires: libreadline-devel libncurses-devel libsigsegv-devel

%description
Common Lisp is a high-level, general-purpose programming language.

GNU CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
University and Michael Stoll of Munich University, both in Germany.
It mostly supports the Lisp described in the ANSI Common Lisp standard.
It runs on microcomputers (OS/2, Windows NT/2000/XP, Windows 95/98/ME,
Amiga 500-4000, Acorn RISC PC) as well as on Unix workstations (Linux,
SVR4, Sun4, DEC Alpha OSF, HP-UX, BeOS, NeXTstep, SGI, AIX, Sun3 and
others) and needs only 2 MB of RAM.

It is Free Software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial applications compiled
with GNU CLISP.

The user interface comes in German, English, French, Spanish, Dutch
and Russian.

GNU CLISP includes an interpreter, a compiler, a debugger, a large
subset of CLOS, a foreign language interface and a socket interface.
An X11 interface is available through CLX and Garnet.

%prep
%setup -q 

%build
CC="gcc"`echo "%optflags" | sed -e "s:%optflags_default::"`
export CC 
./configure --prefix=%prefix --host=%_target_platform

(cd src
./makemake --with-readline --with-gettext --with-dynamic-ffi > Makefile
%make config.lisp
%make
%make check
%make testsuite
)

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_libdir
mkdir -p %buildroot%_mandir
mkdir -p %buildroot%_docdir/%name-%version

(cd src ;
%make prefix=%prefix DESTDIR=%buildroot mandir=%_mandir install

mv %buildroot%prefix/doc/* %buildroot%_docdir/%name-%version
rm -fr %buildroot%prefix/doc
mv %buildroot%_datadir/dvi %buildroot%_docdir/%name-%version/dvi
mv %buildroot%_datadir/html %buildroot%_docdir/%name-%version/html
)

%find_lang %name
%find_lang --append --output=%name.lang %{name}low

%files -f %name.lang
%_bindir/clisp
%_libdir/clisp
%_docdir/*
%_mandir/man?/*

%changelog
* Thu Sep 04 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:2.31-alt1
- clisp 2.31
- seems to work fine with gcc 3.2

* Tue Aug 26 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:2.30-alt4cvs20030818
- pass -march -mcpu to configure/makemake via CC

* Tue Aug 19 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:2.30-alt3cvs20030818
- CVS 08.18.2003

* Sun Jul 20 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:2.30-alt3cvs20030709
- BuildRequires on libncurses-devel and libreadline-devel

* Wed Jul 16 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:2.30-alt2cvs20030709
- BuildRequires on gcc2.96

* Wed Jul 09 2003 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:2.30-alt1cvs20030709
- 2.30 CVS build. Building with gcc 2.96 since gcc 3.2 problem with
  readline is not resolved yet (probably gcc 3.2 bug).

* Wed Oct 23 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 1:2.29-alt5
- Set Serial: 1 to rollback from 2.30 properly since 2.30 and
  current CVS have problems with readline
- I give up with gcc 3.2 for clisp 2.29 and restore gcc 2.96
  probably we have to wait for more robust post 2.30 clisp release

* Thu Oct 17 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 2.29-alt4
- patch to build with gcc 3.2

* Sat Oct 12 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 2.30-alt1csv20021012
- clisp 2.30 CVS 2002.10.12
- floating point bugs are fixed now Maxima with clisp
  passes all tests

* Sat Sep 28 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 2.30-alt1
- clisp 2.30 without libsigsegv yet
- gcc 3.2

* Wed Sep 25 2002 Vadim V. Zhytnikov <vvzhy@altlinux.ru> 2.29-alt3
- spec cleanup

* Sat Sep 21 2002 Vadim V. Zhytnikov <vvzhy@mail.ru> 2.29-alt2
- gcc-2.96 is required explicitly
- regexp module removed

* Sat Sep 07 2002 Vadim V. Zhytnikov <vvzhy@mail.ru> 2.29-alt1
- 2.29

* Thu Mar 28 2002 Vadim V. Zhytnikov <vvzhy@mail.ru> 2.28-alt1
- 2.28

* Tue Nov 06 2001 Stanislav Ievlev <inger@altlinux.ru> 2.27-alt3
- rebuilt

* Sun Oct 28 2001 Vadim V. Zhytnikov <vvzhy@mail.ru> 2.27-alt2
- regexp module added

* Thu Jul 26 2001 Stanislav Ievlev <inger@altlinux.ru> 2.27-alt1
- 2.27

* Thu Apr 12 2001 Stanislav Ievlev <inger@altlinux.ru> 2.25.1-alt1
- up to 2.25.1

* Thu Jan 04 2001  AEN <aen@logic.ru>
- adopted for RE

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2000.03.06-3mdk
- Rewrite spec following Clisp Install documentation to be able to build this
  package on all archs
- Have an intelligent description

* Sun Jul 23 2000 Pixel <pixel@mandrakesoft.com> 2000.03.06-2mdk
- *much* cleanup, macorizaiton, BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2000.03.06-1mdk
- Update to 2000.03.06

* Tue Feb 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- rewrote most of .spec file
- updated to 1999.07.22
